image: registry.gitlab.com/ccsolutions.io/open-source/tools/docker-pipeline:k8s

variables:
  HELM_CHART: ${CI_REGISTRY_IMAGE}
  BACKUP_NAME: mysql-backup
  APP: .

stages:
  - test
  - publish

before_script:
    - sed -i "s/APPVERSIONPLACEHOLDER/$CI_COMMIT_TAG/g" Chart.yaml
    - sed -i "s/CHARTVERSIONPLACEHOLDER/$CI_COMMIT_TAG/g" Chart.yaml
    - helm repo add --username gitlab-ci-token --password ${CI_JOB_TOKEN} ${CI_PROJECT_NAME} ${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/packages/helm/${CI_DEFAULT_BRANCH}

Lint-Helm-Chart:
  stage: test
  script:
    - helm lint ${APP}
  only:
    - tags

Release-Helm-Chart:
  stage: publish
  needs:
    - job: Lint-Helm-Chart
  script:
    - helm registry login -u ${CI_REGISTRY_USER} -p ${CI_REGISTRY_PASSWORD} ${CI_REGISTRY}
    - helm package ${APP}
    - helm cm-push ${BACKUP_NAME}-${CI_COMMIT_TAG}.tgz ${CI_PROJECT_NAME}
  only:
    - tags